package com.dev.swms.server.model.shipping;

import java.util.Date;
import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.abstractEntity.BigItem;
import com.dev.swms.server.model.abstractEntity.PlanPickTicket;
import com.dev.swms.server.model.base.ItemKey;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.WarehouseArea;

public class PlanPickTicketDetail extends Entity {
	private static final long serialVersionUID = -5958182551379914930L;
	/** 所属发货单 */
	private PickTicket pickTicket;
	private PlanPickTicket planPickTicket;
	private BigItem bigItem;
	private PlanShipDetail psd;
	private PickTicketDetail ptd;
	/** 计划数量 */
	private double orderQuantity;
	/** 已分配数量 */
	private double allocatedQuantity;
	/** 拣货数量 */
	private double pickedQuantity;
	/** 拣货数量 */
	private double shippedQuantity;
	/** 备货日期 */
	private Date allocateTime;
	/** 发货日期 */
	private Date shipTime;
	/** 备注*/
	private String invStatus;
	/** 库存状态*/
	private String note;
	/** 所属库区 */
	private WarehouseArea zone;
	/** 所属库位 */
	private Location location;
	/** 所属具体商品库存 */
	private ItemKey itemKey;
	/** 是否拣货 */
	private Boolean bePick = Boolean.FALSE;
	/** 是否拣货 */
	private Boolean beShip = Boolean.FALSE;
	
	
	
	public PlanPickTicket getPlanPickTicket() {
		return planPickTicket;
	}
	public void setPlanPickTicket(PlanPickTicket planPickTicket) {
		this.planPickTicket = planPickTicket;
	}
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public double getShippedQuantity() {
		return shippedQuantity;
	}
	public void setShippedQuantity(double shippedQuantity) {
		this.shippedQuantity = shippedQuantity;
	}
	public Boolean getBePick() {
		return bePick;
	}
	public void setBePick(Boolean bePick) {
		this.bePick = bePick;
	}
	public Boolean getBeShip() {
		return beShip;
	}
	public void setBeShip(Boolean beShip) {
		this.beShip = beShip;
	}
	public WarehouseArea getZone() {
		return zone;
	}
	public void setZone(WarehouseArea zone) {
		this.zone = zone;
	}
	public Location getLocation() {
		return location;
	}
	public void setLocation(Location location) {
		this.location = location;
	}
	public ItemKey getItemKey() {
		return itemKey;
	}
	public void setItemKey(ItemKey itemKey) {
		this.itemKey = itemKey;
	}
	public PickTicketDetail getPtd() {
		return ptd;
	}
	public void setPtd(PickTicketDetail ptd) {
		this.ptd = ptd;
	}
	public PickTicket getPickTicket() {
		return pickTicket;
	}
	public void setPickTicket(PickTicket pickTicket) {
		this.pickTicket = pickTicket;
	}
	public PlanShipDetail getPsd() {
		return psd;
	}
	public void setPsd(PlanShipDetail psd) {
		this.psd = psd;
	}
	public double getOrderQuantity() {
		return orderQuantity;
	}
	public void setOrderQuantity(double orderQuantity) {
		this.orderQuantity = orderQuantity;
	}
	public double getAllocatedQuantity() {
		return allocatedQuantity;
	}
	public void setAllocatedQuantity(double allocatedQuantity) {
		this.allocatedQuantity = allocatedQuantity;
	}
	public double getPickedQuantity() {
		return pickedQuantity;
	}
	public void setPickedQuantity(double pickedQuantity) {
		this.pickedQuantity = pickedQuantity;
	}
	public Date getAllocateTime() {
		return allocateTime;
	}
	public void setAllocateTime(Date allocateTime) {
		this.allocateTime = allocateTime;
	}
	public Date getShipTime() {
		return shipTime;
	}
	public void setShipTime(Date shipTime) {
		this.shipTime = shipTime;
	}
	public String getInvStatus() {
		return invStatus;
	}
	public void setInvStatus(String invStatus) {
		this.invStatus = invStatus;
	}
	public String getNote() {
		return note;
	}
	public void setNote(String note) {
		this.note = note;
	}
	
}
